/* Header 
**
**Tout ce qui concerne le header 
**
*/
.header {
    width: 100%;
    height: 150px;
    background-color: #ffffff;
    display: flex;
    align-items: center;
    padding: 16px;
}

.header .logo {
    padding-right: 16px;
}

.header-logo img { 
    max-height: 70px; 
    height: 100%;     
    width: auto;      
    display: block;   
}

/*footer
**
** Tout ce qui concerne le footer 
**
*/
.footer{ 
    position: relative;
    flex-grow:1;
    background-color: #e5eeff; 
    padding: 20px 0; 
}
.footer-container {
    flex-shrink: 0;
    max-width: 1200px; 
    margin: auto; /* Centre le contenu du footer */
    width: 100%;
}
.footer-row {
    display: flex; 
    flex-wrap: wrap; 
    justify-content: center;
}
.footer-row .footer-fold {
    position: absolute;
    top: 0;       
    right: 0; ;
    margin-top: -2px;
    margin-right: -8px;
}
.footer-column p {
    font-weight: bold;
    margin-bottom: 15px;
    font-size: 1.1em; 
    position: relative;
    text-align: center;
}

.footer-column .Reseaux {
  display: flex;
  height: 40px;
  width: 300px;
  justify-content: space-evenly;
  color: #ffffff;
}

/* MODIFIÉ : Réajustement générique de la taille des icônes SVG */
.Reseaux svg {
    width: 32px;
    height: 32px;
}

.footer-copyright {
    text-align: center; 
    padding-top: 20px; 
    margin-top: 20px; 
    font-weight: bold;
}

ul {
    list-style: none;
}

.row {
    display: flex;
    flex-wrap: wrap;
}

@media (max-width: 768px) {
    .footer-row, .footer-list {
        flex-direction: column; /* Les éléments s'empilent sur les petits écrans */
        align-items: center; /* Centre les éléments */
        text-align: center;
    }

    .footer-item {
        min-width: auto; /* Supprime la largeur minimale pour les petits écrans */
        width: 100%; /* Prend toute la largeur disponible */
    }
    .footer-row .footer-fold {
        width: 60px;  /* Nouvelle largeur pour le fold */
        height: 64px; /* Nouvelle hauteur, ajustée pour conserver le ratio */
    }
}


/* Boutons 
**
** Style des boutons présents dans le body
**
*/
.button {
    background-color: var(--ogi-icon-color, #0052FF);
    color: #FFFFFF;
    border: none;
    padding: 9.5px 12px;
    font-family: Relative, Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
}

.button:hover {
    background-color: #381A0A;
}
@media (max-width: 768px) {
    .button {
        width: 100%;
    }
}


*{ box-sizing: border-box;}
html{
    font-family: "Relative", Arial, sans-serif;
    font-size: 62.5%;
    overflow-x: hidden;
}

/*Body
**
** Tout ce qui concerne le body 
**
*/
body{
    max-width: 100%;
    overflow-x: hidden;
    margin: 0; padding: 0;
    font-size: 1.6rem; line-height: 2.1rem;
    color: var(--ogi-text-color, #381a0a);
    background-color: var(--ogi-body-color, #ffffff);

    display: grid;
    grid-template-rows: auto 1fr auto;
    flex-direction: auto;
    min-height: 100vh;
}

.mnt-main { 
    flex-grow: 1; 
}
.content-image-wrapper svg {
    max-width: 100%;    
    height: auto;       
    display: block;     
    width: 100%;        
    margin: 0 auto;   
     
}

.IMAGE-TEXT-LAYOUT {
    display: flex;
    flex-direction: column; 
    align-items: center;   
    gap: 24px;             
    padding: 24px;         
    max-width: 1200px;    
    margin: 0 auto;      
    height: 100%;  
    text-align: center; 
}

@media screen and (min-width: 768px) {
    .IMAGE-TEXT-LAYOUT {
        flex-direction: row; 
        align-items: center;   
        justify-content: center;   
    }
    .IMAGE-TEXT-LAYOUT > .TEXT-CONTENT-WRAPPER {
        flex-basis: 60%;
        flex-grow: 1;
        display: flex; 
        flex-direction: column; 
        justify-content: center; 
        align-items: center; 
        text-align: center; 
    }
}


@media screen and (min-width: 768px) {
    .IMAGE-TEXT-LAYOUT > .content-image-wrapper {
        flex-basis: 40%;
        flex-shrink: 0;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .IMAGE-TEXT-LAYOUT > .TEXT-CONTENT-WRAPPER {
        flex-basis: 60%;
        flex-grow: 1;
    }

    .content-image-wrapper .image {
        width: 100%;
        height: auto;
        margin: 0;
    }
}

.body-M-bd {
    font-size: 1.6rem;
    text-transform: inherit;
    font-weight: 700;
    line-height: 130%;
}
